# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define _name needs-restart

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           needs-restart
Version:        0.0.13
Release:        %{mybuildnumber}%{?dist}
Summary:        A program to discover services that need restarting

License:        GPLv2
URL:            https://github.com/Rudd-O/%{_name}
Source:         %{url}/archive/v%{version}/%{_name}-%{version}.tar.gz

Requires:       dbus-tools
BuildRequires:  coreutils
BuildRequires:  make
BuildArch:      noarch

%description
This is a brief program that helps you detect which services on your
system need to be restarted after an upgrade or redeploy of your
software.

%prep
%autosetup

%build
:

%install
make install DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir}

%files
%{_bindir}/%{name}
%doc README.md LICENSE


%changelog
* Thu Jun 16 2022 Manuel Amador <rudd-o@rudd-o.com> 0.1.0-1
- First RPM packaging release
